Skip navigation

Every now and then, when the Oracle Linux yum server is in the process of being updated with new packages, you may encounter an error like the following:

 

$ sudo yum install -y yum-utils

ol7_UEKR4                                                   | 1.2 kB  00:00:00    

ol7_latest                                                  | 1.4 kB  00:00:00    

(1/5): ol7_UEKR4/x86_64/updateinfo                          |  69 kB  00:00:00    

ol7_latest/x86_64/updateinfo   FAILED                                          ETA

http://yum.oracle.com/repo/OracleLinux/OL7/latest/x86_64/repodata/updateinfo.xml.gz: [Errno -1] Metadata file does not match checksum

Trying other mirror.

 

Usually, clearing the local metadata caches with yum clean will fix this issue.

 

$ sudo yum clean all

Cleaning repos: ol7_UEKR4 ol7_latest

Cleaning up everything

Product Overview

 

The Oracle Linux operating system is engineered for open cloud infrastructure. It delivers leading performance, scalability and reliability for enterprise SaaS and PaaS workloads as well as traditional enterprise applications. Oracle Linux Support offers access to award-winning Oracle support resources and Linux support specialists, zero-downtime updates using Ksplice, additional management tools such as Oracle Enterprise Manager, and lifetime support, all at a low cost. Unlike many other commercial Linux distributions, Oracle Linux is easy to download, completely free to use, free to distribute, and free to update.

 

The Unbreakable Enterprise Kernel (UEK), included as part of Oracle Linux, provides the latest open source innovations, key optimizations and security for enterprise cloud workloads. This Linux kernel powers Oracle Cloud and Oracle Engineered Systems such as Oracle Exadata Database Machine. Oracle tests UEK intensively with demanding Oracle workloads, and recommends it for Oracle deployments and all other enterprise deployments.

 

Notable Changes

  • Updated support for Intel Xeon E3 v5, Intel Xeon E5 v5 and Intel Xeon E7 v5 families of processors (formerly known as Skylake).
  • Hardware enablement for the latest HPE SGI UV platforms - The kernel is updated to apply upstream patches that enable hardware support for an HPE system utilizing SGI UV technology (HPE acquired SGI).
  • Userfaultfd support added to the kernel  - The kernel is updated to support userfaultfd, a new feature that allows on-demand paging from user space and allows user space applications to take control of various memory page faults.
  • Function Boundary Tracing (FBT) - is now available in DTrace.
  • DTrace Typed SDT arguments - This update allows kernel developers to add probes without updating the module, relying instead on DTrace's ability to dynamically compute argument types to navigate structures.
  • Xen Hypervisor Changes - The xen-blkback and xen-blkfront drivers for block device support have been updated to fix issues related to resume after migration. Other fixes include upstream patches for stability and performance.

 

Read the release notes for more details.

 

Supported Upgrade Path

Customers can upgrade existing Oracle Linux 6 and 7 servers using the Unbreakable Linux Network or the Oracle Linux yum server.

 

Software Download

Oracle Linux can be downloaded, used and distributed free of charge and all updates and errata are freely available. For support, you decide which of your systems require a support subscription. This makes Oracle Linux an ideal choice for your development, testing and production systems. You decide which support coverage is the best for each of your systems individually, while keeping all of your systems up-to-date and secure. For customers with Oracle Linux Premier Support, you also receive access to zero-downtime kernel updates using Oracle Ksplice and support for Oracle OpenStack for Oracle Linux.

 

Compatibility

UEK R4 Update 4 is fully compatible with the previous UEK R4 updates. The kernel ABI for UEK R4 will remain unchanged in all subsequent updates to the initial release. In this release, there are changes to the kernel ABI relative to UEK R3 that require recompilation of third-party kernel modules on the system. Before installing UEK R4, verify its support status with your application vendor.